%global modname tw2.jqplugins.jqplot

Name:               python-tw2-jqplugins-jqplot
Version:            2.0.3
Release:            4%{?dist}
Summary:            Toscawidgets2 wrapper for the jqPlot jQuery plugin

Group:              Development/Libraries
License:            MIT
URL:                http://pypi.python.org/pypi/tw2.jqplugins.jqplot
Source0:            http://pypi.python.org/packages/source/t/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools

BuildRequires:      python-tw2-core
BuildRequires:      python-tw2-jqplugins-ui

Requires:           python-tw2-core
Requires:           python-tw2-jqplugins-ui

%description
tw2.jqplugins.jqplot is a toscawidgets2 wrapper for jqPlot.

Toscawidgets2 aims to be a practical and useful widgets framework
that helps people build interactive websites with compelling features,
faster and easier. Widgets are re-usable web components that can include a
template, server-side code and JavaScripts/CSS resources. The library aims
to be: flexible, reliable, documented, performant, and as simple as
possible.

jqPlot is a plotting and charting plugin for the jQuery Javascript
framework. jqPlot produces beautiful line, bar and pie charts.

This module, tw2.jqplugins.jqplot, provides toscawidgets2 (tw2) access
to jqPlot widgets.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info in case it exists
rm -rf %{modname}.egg-info

%build
%{__python} setup.py build

# Don't step on other jqplugins
rm -f build/lib/tw2/jqplugins/__init__.py*

# For rpmlint
rm -f build/lib/tw2/jqplugins/jqplot/static/jquery/plugins/jqplot/0.9.7r635/examples/.htaccess

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.rst LICENSE.txt
%{python_sitelib}/tw2/jqplugins/jqplot/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 2.0.3-1
- initial package for Fedora
